### Constructor

# Gtk DropTargetAsync new

#### Declaration [src]

    GtkDropTargetAsync*
    gtk_drop_target_async_new (
      GdkContentFormats* formats,
      GdkDragAction actions
    )

#### Description [src]

Creates a new `GtkDropTargetAsync` object.

#### Parameters

`formats` | `GdkContentFormats*`
| The supported data formats.
| The argument can be `NULL`.
| The called function takes ownership of the data, and is responsible for freeing it.
`actions` | `GdkDragAction`
| The supported actions.

#### Return value

Returns: | `GtkDropTargetAsync`
| The new `GtkDropTargetAsync`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.